org.wso2.carbon.dataservices.ui.stub

## Class DataServiceAdminStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.dataservices.ui.stub.DataServiceAdminStub

- All Implemented Interfaces:
    DataServiceAdmin

      public class DataServiceAdminStub
      extends org.apache.axis2.client.Stub
      implements DataServiceAdmin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations`

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceAdminStub()` Default Constructor
    `DataServiceAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)` Default Constructor
    `DataServiceAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` Constructor that takes in a configContext
    `DataServiceAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` Constructor that takes in a configContext and useseperate listner
    `DataServiceAdminStub(String targetEndpoint)` Constructor taking the target endpoint

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAllRoles(String authProviderConfig148)` Auto generated method signature
    `String[]` | `getAvailableDS()` Auto generated method signature
    `String[]` | `getCarbonDataSourceNames()` Auto generated method signature
    `String[]` | `getCarbonDataSourceNamesForTypes(String[] types219)` Auto generated method signature
    `String` | `getCarbonDataSourceType(String dsName175)` Auto generated method signature
    `String` | `getDataServiceContentAsString(String serviceId152)` Auto generated method signature
    `String[]` | `getdbSchemaList(String datasourceId156)` Auto generated method signature
    `String` | `getDSService(String dataSourceId205, String dbName206, String[] schemas207, String[] tableNames208, boolean singleService209, String serviceName210, String serviceNamespace211)` Auto generated method signature
    `String[]` | `getDSServiceList(String dataSourceId192, String dbName193, String[] schemas194, String[] tableNames195, boolean singleService196, String serviceNamespace197)` Auto generated method signature
    `String[]` | `getInputMappingNames(String sql164)` Auto generated method signature
    `String[]` | `getOutputColumnNames(String sql201)` Auto generated method signature
    `PaginatedTableInfo` | `getPaginatedSchemaInfo(int pageNumber179, String datasourceId180)` Auto generated method signature
    `PaginatedTableInfo` | `getPaginatedTableInfo(int pageNumber168, String datasourceId169, String dbName170, String[] schemas171)` Auto generated method signature
    `String[]` | `getTableList(String datasourceId226, String dbName227, String[] schemas228)` Auto generated method signature
    `boolean` | `isDSNameAvailable(String dataService133)` Auto generated method signature
    `void` | `saveDataService(String serviceName215, String serviceHierarchy216, String serviceContents217)` Auto generated method signature
    `void` | `startgetAllRoles(String authProviderConfig148, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableDS(DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCarbonDataSourceNames(DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCarbonDataSourceNamesForTypes(String[] types219, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCarbonDataSourceType(String dsName175, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetDataServiceContentAsString(String serviceId152, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetdbSchemaList(String datasourceId156, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetDSService(String dataSourceId205, String dbName206, String[] schemas207, String[] tableNames208, boolean singleService209, String serviceName210, String serviceNamespace211, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetDSServiceList(String dataSourceId192, String dbName193, String[] schemas194, String[] tableNames195, boolean singleService196, String serviceNamespace197, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetInputMappingNames(String sql164, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetOutputColumnNames(String sql201, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPaginatedSchemaInfo(int pageNumber179, String datasourceId180, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPaginatedTableInfo(int pageNumber168, String datasourceId169, String dbName170, String[] schemas171, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetTableList(String datasourceId226, String dbName227, String[] schemas228, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisDSNameAvailable(String dataService133, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `starttestGSpreadConnection(String clientId140, String clientSecret141, String refreshToken142, String visibility143, String documentURL144, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `starttestJDBCConnection(String driverClass184, String jdbcURL185, String username186, String password187, String passwordAlias188, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startvalidateJSONMapping(String jsonMapping160, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `String` | `testGSpreadConnection(String clientId140, String clientSecret141, String refreshToken142, String visibility143, String documentURL144)` Auto generated method signature
    `String` | `testJDBCConnection(String driverClass184, String jdbcURL185, String username186, String password187, String passwordAlias188)` Auto generated method signature
    `String` | `validateJSONMapping(String jsonMapping160)` Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### DataServiceAdminStub

          public DataServiceAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                      String targetEndpoint)
                               throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### DataServiceAdminStub

          public DataServiceAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                      String targetEndpoint,
                                      boolean useSeparateListener)
                               throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### DataServiceAdminStub

          public DataServiceAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)
                               throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### DataServiceAdminStub

          public DataServiceAdminStub()
                               throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### DataServiceAdminStub

          public DataServiceAdminStub(String targetEndpoint)
                               throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### isDSNameAvailable

          public boolean isDSNameAvailable(String dataService133)
                                    throws RemoteException

      Auto generated method signature
      Specified by:
        `isDSNameAvailable` in interface `DataServiceAdmin`
      Parameters:
        `isDSNameAvailable132` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.isDSNameAvailable(java.lang.String)`

    - #### startisDSNameAvailable

          public void startisDSNameAvailable(String dataService133,
                                             DataServiceAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startisDSNameAvailable` in interface `DataServiceAdmin`
      Parameters:
        `isDSNameAvailable132` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startisDSNameAvailable(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getAvailableDS

          public String[] getAvailableDS()
                                  throws RemoteException

      Auto generated method signature
      Specified by:
        `getAvailableDS` in interface `DataServiceAdmin`
      Parameters:
        `getAvailableDS136` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getAvailableDS()`

    - #### startgetAvailableDS

          public void startgetAvailableDS(DataServiceAdminCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAvailableDS` in interface `DataServiceAdmin`
      Parameters:
        `getAvailableDS136` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetAvailableDS(org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### testGSpreadConnection

          public String testGSpreadConnection(String clientId140,
                                              String clientSecret141,
                                              String refreshToken142,
                                              String visibility143,
                                              String documentURL144)
                                       throws RemoteException

      Auto generated method signature
      Specified by:
        `testGSpreadConnection` in interface `DataServiceAdmin`
      Parameters:
        `testGSpreadConnection139` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.testGSpreadConnection(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### starttestGSpreadConnection

          public void starttestGSpreadConnection(String clientId140,
                                                 String clientSecret141,
                                                 String refreshToken142,
                                                 String visibility143,
                                                 String documentURL144,
                                                 DataServiceAdminCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `starttestGSpreadConnection` in interface `DataServiceAdmin`
      Parameters:
        `testGSpreadConnection139` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.starttestGSpreadConnection(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getAllRoles

          public String[] getAllRoles(String authProviderConfig148)
                               throws RemoteException

      Auto generated method signature
      Specified by:
        `getAllRoles` in interface `DataServiceAdmin`
      Parameters:
        `getAllRoles147` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getAllRoles(java.lang.String)`

    - #### startgetAllRoles

          public void startgetAllRoles(String authProviderConfig148,
                                       DataServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAllRoles` in interface `DataServiceAdmin`
      Parameters:
        `getAllRoles147` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetAllRoles(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getDataServiceContentAsString

          public String getDataServiceContentAsString(String serviceId152)
                                               throws RemoteException

      Auto generated method signature
      Specified by:
        `getDataServiceContentAsString` in interface `DataServiceAdmin`
      Parameters:
        `getDataServiceContentAsString151` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getDataServiceContentAsString(java.lang.String)`

    - #### startgetDataServiceContentAsString

          public void startgetDataServiceContentAsString(String serviceId152,
                                                         DataServiceAdminCallbackHandler callback)
                                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetDataServiceContentAsString` in interface `DataServiceAdmin`
      Parameters:
        `getDataServiceContentAsString151` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetDataServiceContentAsString(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getdbSchemaList

          public String[] getdbSchemaList(String datasourceId156)
                                   throws RemoteException,
                                          DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getdbSchemaList` in interface `DataServiceAdmin`
      Parameters:
        `getdbSchemaList155` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getdbSchemaList(java.lang.String)`

    - #### startgetdbSchemaList

          public void startgetdbSchemaList(String datasourceId156,
                                           DataServiceAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetdbSchemaList` in interface `DataServiceAdmin`
      Parameters:
        `getdbSchemaList155` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetdbSchemaList(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### validateJSONMapping

          public String validateJSONMapping(String jsonMapping160)
                                     throws RemoteException

      Auto generated method signature
      Specified by:
        `validateJSONMapping` in interface `DataServiceAdmin`
      Parameters:
        `validateJSONMapping159` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.validateJSONMapping(java.lang.String)`

    - #### startvalidateJSONMapping

          public void startvalidateJSONMapping(String jsonMapping160,
                                               DataServiceAdminCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startvalidateJSONMapping` in interface `DataServiceAdmin`
      Parameters:
        `validateJSONMapping159` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startvalidateJSONMapping(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getInputMappingNames

          public String[] getInputMappingNames(String sql164)
                                        throws RemoteException,
                                               DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getInputMappingNames` in interface `DataServiceAdmin`
      Parameters:
        `getInputMappingNames163` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getInputMappingNames(java.lang.String)`

    - #### startgetInputMappingNames

          public void startgetInputMappingNames(String sql164,
                                                DataServiceAdminCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetInputMappingNames` in interface `DataServiceAdmin`
      Parameters:
        `getInputMappingNames163` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetInputMappingNames(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getPaginatedTableInfo

          public PaginatedTableInfo getPaginatedTableInfo(int pageNumber168,
                                                          String datasourceId169,
                                                          String dbName170,
                                                          String[] schemas171)
                                                   throws RemoteException,
                                                          DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getPaginatedTableInfo` in interface `DataServiceAdmin`
      Parameters:
        `getPaginatedTableInfo167` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getPaginatedTableInfo(int, java.lang.String, java.lang.String, java.lang.String[])`

    - #### startgetPaginatedTableInfo

          public void startgetPaginatedTableInfo(int pageNumber168,
                                                 String datasourceId169,
                                                 String dbName170,
                                                 String[] schemas171,
                                                 DataServiceAdminCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetPaginatedTableInfo` in interface `DataServiceAdmin`
      Parameters:
        `getPaginatedTableInfo167` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetPaginatedTableInfo(int, java.lang.String, java.lang.String, java.lang.String[], org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getCarbonDataSourceType

          public String getCarbonDataSourceType(String dsName175)
                                         throws RemoteException

      Auto generated method signature
      Specified by:
        `getCarbonDataSourceType` in interface `DataServiceAdmin`
      Parameters:
        `getCarbonDataSourceType174` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getCarbonDataSourceType(java.lang.String)`

    - #### startgetCarbonDataSourceType

          public void startgetCarbonDataSourceType(String dsName175,
                                                   DataServiceAdminCallbackHandler callback)
                                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetCarbonDataSourceType` in interface `DataServiceAdmin`
      Parameters:
        `getCarbonDataSourceType174` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetCarbonDataSourceType(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getPaginatedSchemaInfo

          public PaginatedTableInfo getPaginatedSchemaInfo(int pageNumber179,
                                                           String datasourceId180)
                                                    throws RemoteException,
                                                           DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getPaginatedSchemaInfo` in interface `DataServiceAdmin`
      Parameters:
        `getPaginatedSchemaInfo178` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getPaginatedSchemaInfo(int, java.lang.String)`

    - #### startgetPaginatedSchemaInfo

          public void startgetPaginatedSchemaInfo(int pageNumber179,
                                                  String datasourceId180,
                                                  DataServiceAdminCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetPaginatedSchemaInfo` in interface `DataServiceAdmin`
      Parameters:
        `getPaginatedSchemaInfo178` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetPaginatedSchemaInfo(int, java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### testJDBCConnection

          public String testJDBCConnection(String driverClass184,
                                           String jdbcURL185,
                                           String username186,
                                           String password187,
                                           String passwordAlias188)
                                    throws RemoteException

      Auto generated method signature
      Specified by:
        `testJDBCConnection` in interface `DataServiceAdmin`
      Parameters:
        `testJDBCConnection183` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.testJDBCConnection(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### starttestJDBCConnection

          public void starttestJDBCConnection(String driverClass184,
                                              String jdbcURL185,
                                              String username186,
                                              String password187,
                                              String passwordAlias188,
                                              DataServiceAdminCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `starttestJDBCConnection` in interface `DataServiceAdmin`
      Parameters:
        `testJDBCConnection183` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.starttestJDBCConnection(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getDSServiceList

          public String[] getDSServiceList(String dataSourceId192,
                                           String dbName193,
                                           String[] schemas194,
                                           String[] tableNames195,
                                           boolean singleService196,
                                           String serviceNamespace197)
                                    throws RemoteException,
                                           DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getDSServiceList` in interface `DataServiceAdmin`
      Parameters:
        `getDSServiceList191` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getDSServiceList(java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], boolean, java.lang.String)`

    - #### startgetDSServiceList

          public void startgetDSServiceList(String dataSourceId192,
                                            String dbName193,
                                            String[] schemas194,
                                            String[] tableNames195,
                                            boolean singleService196,
                                            String serviceNamespace197,
                                            DataServiceAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetDSServiceList` in interface `DataServiceAdmin`
      Parameters:
        `getDSServiceList191` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetDSServiceList(java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], boolean, java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getOutputColumnNames

          public String[] getOutputColumnNames(String sql201)
                                        throws RemoteException,
                                               DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getOutputColumnNames` in interface `DataServiceAdmin`
      Parameters:
        `getOutputColumnNames200` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getOutputColumnNames(java.lang.String)`

    - #### startgetOutputColumnNames

          public void startgetOutputColumnNames(String sql201,
                                                DataServiceAdminCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetOutputColumnNames` in interface `DataServiceAdmin`
      Parameters:
        `getOutputColumnNames200` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetOutputColumnNames(java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getDSService

          public String getDSService(String dataSourceId205,
                                     String dbName206,
                                     String[] schemas207,
                                     String[] tableNames208,
                                     boolean singleService209,
                                     String serviceName210,
                                     String serviceNamespace211)
                              throws RemoteException,
                                     DataServiceAdminExceptionException

      Auto generated method signature
      Specified by:
        `getDSService` in interface `DataServiceAdmin`
      Parameters:
        `getDSService204` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`
      See Also:
        `DataServiceAdmin.getDSService(java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], boolean, java.lang.String, java.lang.String)`

    - #### startgetDSService

          public void startgetDSService(String dataSourceId205,
                                        String dbName206,
                                        String[] schemas207,
                                        String[] tableNames208,
                                        boolean singleService209,
                                        String serviceName210,
                                        String serviceNamespace211,
                                        DataServiceAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetDSService` in interface `DataServiceAdmin`
      Parameters:
        `getDSService204` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetDSService(java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], boolean, java.lang.String, java.lang.String, org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### saveDataService

          public void saveDataService(String serviceName215,
                                      String serviceHierarchy216,
                                      String serviceContents217)
                               throws RemoteException

      Auto generated method signature
      Specified by:
        `saveDataService` in interface `DataServiceAdmin`
      Throws:
        `RemoteException`

    - #### getCarbonDataSourceNamesForTypes

          public String[] getCarbonDataSourceNamesForTypes(String[] types219)
                                                    throws RemoteException

      Auto generated method signature
      Specified by:
        `getCarbonDataSourceNamesForTypes` in interface `DataServiceAdmin`
      Parameters:
        `getCarbonDataSourceNamesForTypes218` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getCarbonDataSourceNamesForTypes(java.lang.String[])`

    - #### startgetCarbonDataSourceNamesForTypes

          public void startgetCarbonDataSourceNamesForTypes(String[] types219,
                                                            DataServiceAdminCallbackHandler callback)
                                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetCarbonDataSourceNamesForTypes` in interface `DataServiceAdmin`
      Parameters:
        `getCarbonDataSourceNamesForTypes218` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetCarbonDataSourceNamesForTypes(java.lang.String[], org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getCarbonDataSourceNames

          public String[] getCarbonDataSourceNames()
                                            throws RemoteException

      Auto generated method signature
      Specified by:
        `getCarbonDataSourceNames` in interface `DataServiceAdmin`
      Parameters:
        `getCarbonDataSourceNames222` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getCarbonDataSourceNames()`

    - #### startgetCarbonDataSourceNames

          public void startgetCarbonDataSourceNames(DataServiceAdminCallbackHandler callback)
                                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetCarbonDataSourceNames` in interface `DataServiceAdmin`
      Parameters:
        `getCarbonDataSourceNames222` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetCarbonDataSourceNames(org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

    - #### getTableList

          public String[] getTableList(String datasourceId226,
                                       String dbName227,
                                       String[] schemas228)
                                throws RemoteException

      Auto generated method signature
      Specified by:
        `getTableList` in interface `DataServiceAdmin`
      Parameters:
        `getTableList225` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.getTableList(java.lang.String, java.lang.String, java.lang.String[])`

    - #### startgetTableList

          public void startgetTableList(String datasourceId226,
                                        String dbName227,
                                        String[] schemas228,
                                        DataServiceAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetTableList` in interface `DataServiceAdmin`
      Parameters:
        `getTableList225` -
      Throws:
        `RemoteException`
      See Also:
        `DataServiceAdmin.startgetTableList(java.lang.String, java.lang.String, java.lang.String[], org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler)`

Copyright © 2019 WSO2. All rights reserved.